//  1: "1)  "
	
//**********************************************************
// 
void ColorCube();				
void RenderSceneColorCube(void);
void ChangeSizeColorCube(int, int);	//    
	
//**********************************************************
void ColorCube() 
{
	glPushMatrix();//    
	
	glRotatef(xRot, 1.0f, 0.0f, 0.0f);
	glRotatef(yRot, 0.0f, 1.0f, 0.0f);
	glRotatef(zRot, 0.0f, 0.0f, 1.0f);
	
	//  
	xRot += 1.0f;
	yRot += 1.0f;
	zRot += 1.0f;
	xRot = (GLfloat)((const int)xRot % 360);
	yRot = (GLfloat)((const int)yRot % 360);
	zRot = (GLfloat)((const int)zRot % 360);
	
	//   
	glBegin(GL_QUADS);
	// 1.  
		// 
		glColor3ub((GLubyte) 255, (GLubyte)255, (GLubyte)255);
		glVertex3f(50.0f,50.0f,50.0f);
	
		// 
		glColor3ub((GLubyte) 255, (GLubyte)255, (GLubyte)0);
		glVertex3f(50.0f,-50.0f,50.0f);
	
		// 
		glColor3ub((GLubyte) 255, (GLubyte)0, (GLubyte)0);
		glVertex3f(-50.0f,-50.0f,50.0f);
	
		// 
		glColor3ub((GLubyte) 255, (GLubyte)0, (GLubyte)255);
		glVertex3f(-50.0f,50.0f,50.0f);
	
	// 2.  
		// 
		glColor3f(0.0f, 1.0f, 1.0f);
		glVertex3f(50.0f,50.0f,-50.0f);
	
		// 
		glColor3f(0.0f, 1.0f, 0.0f);
		glVertex3f(50.0f,-50.0f,-50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 0.0f);
		glVertex3f(-50.0f,-50.0f,-50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 1.0f);
		glVertex3f(-50.0f,50.0f,-50.0f);
	
	// 3.  
		// 
		glColor3f(0.0f, 1.0f, 1.0f);
		glVertex3f(50.0f,50.0f,-50.0f);
	
		// 
		glColor3f(1.0f, 1.0f, 1.0f);
		glVertex3f(50.0f,50.0f,50.0f);
	
		// 
		glColor3f(1.0f, 0.0f, 1.0f);
		glVertex3f(-50.0f,50.0f,50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 1.0f);
		glVertex3f(-50.0f,50.0f,-50.0f);
	
	// 4.  
		// 
		glColor3f(0.0f, 1.0f, 0.0f);
		glVertex3f(50.0f,-50.0f,-50.0f);
	
		// 
		glColor3f(1.0f, 1.0f, 0.0f);
		glVertex3f(50.0f,-50.0f,50.0f);
	
		// 
		glColor3f(1.0f, 0.0f, 0.0f);
		glVertex3f(-50.0f,-50.0f,50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 0.0f);
		glVertex3f(-50.0f,-50.0f,-50.0f);
	
	// 5.  
		// 
		glColor3f(1.0f, 1.0f, 1.0f);
		glVertex3f(50.0f,50.0f,50.0f);
	
		// 
		glColor3f(0.0f, 1.0f, 1.0f);
		glVertex3f(50.0f,50.0f,-50.0f);
	
		// 
		glColor3f(0.0f, 1.0f, 0.0f);
		glVertex3f(50.0f,-50.0f,-50.0f);
	
		// 
		glColor3f(1.0f, 1.0f, 0.0f);
		glVertex3f(50.0f,-50.0f,50.0f);
	
	// 6.  
		// 
		glColor3f(1.0f, 0.0f, 1.0f);
		glVertex3f(-50.0f,50.0f,50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 1.0f);
		glVertex3f(-50.0f,50.0f,-50.0f);
	
		// 
		glColor3f(0.0f, 0.0f, 0.0f);
		glVertex3f(-50.0f,-50.0f,-50.0f);
	
		// 
		glColor3f(1.0f, 0.0f, 0.0f);
		glVertex3f(-50.0f,-50.0f,50.0f);
	glEnd();
	
	glPopMatrix();//    
	
	//   
	glutSwapBuffers();
}
	
//**********************************************************
//      
//    ColorCube
void RenderSceneColorCube(void)
{
	//      
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	
	//  
	ColorCube();
	
	//  
	glFlush();
}
	
//**********************************************************
//   GLUT    
//    ColorCube
void ChangeSizeColorCube(int width, int height)
{	
	//    
	glClearColor(0.0F, 0.0F, 0.0F, 1.0F);//   
	glEnable(GL_DEPTH_TEST);	//   
	glEnable(GL_DITHER);		//    
	glShadeModel(GL_SMOOTH);	//   
	glDisable(GL_CULL_FACE);	//    
	
	//    
	if(height == 0)
		height = 1;
	
	//      
	glViewport(0, 0, width, height);
	
	//      
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	
	//    ( )
	GLfloat aspectRatio = (GLfloat)width / (GLfloat)height;//  
	gluPerspective(35.0f, aspectRatio, 1.0f, 1000.0f);
	
	//       
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	
	//        0z
	glTranslatef(0.0f, 0.0f, -400.0f);
}
